# Class pyglet.media.AudioFormat

Audio details.

An instance of this class is provided by sources with audio tracks. You should not modify the fields, as they are used internally to describe the format of data provided by the source.

## Methods

| __init__(self, channels, sample_size, sample_rate)
| __eq__(self, other)
| __ne__(self, other)
| __repr__(self)

## Instance Variables

int | channels The number of channels: 1 for mono or 2 for stereo (pyglet does not yet support surround-sound sources).
int | sample_rate Samples per second (in Hertz).
int | sample_size Bits per sample; only 8 or 16 are supported.